Subject: bug#49866: 28.0.50; gnus-summary-exit from the transient search buffer giving error

From: Andrew Cohen <[email-masked]>
Date: Fri, 6 Aug 2021 11:04:23 +0000 (UTC)

Sorry, I decided to not be lazy and just looked it up:-)

So it can replace the lambda in the sort function. Which is very clear 
and shortens the code. I like it.

Aug 6, 2021 7:01:33 PM Andrew Cohen <[email-masked]>:

> I love niche! (Which, honestly, map-merge is already kind of niche)
>
> Does this just do the sort or does it merge also?
>
> Aug 6, 2021 6:21:40 PM Basil L. Contovounesios <[email-masked]>:
>
>> Eric Abrahamsen <[email-masked]> writes:
>>
>>> +          (sort (map-merge 'list list marked)
>>> +          (lambda (elt1 elt2)
>>> +            (< (car elt1) (car elt2)))))))
>>
>> If you prefer, there's the niche function car-less-than-car for this 
>> :).
>>
>> Thanks,
>>